org.apache.tinkerpop.gremlin.neo4j.structure

## Class Neo4jGraph.Neo4jGraphFeatures.Neo4jVertexPropertyFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jGraph.Neo4jGraphFeatures.Neo4jVertexPropertyFeatures

- All Implemented Interfaces:
    Graph.Features.DataTypeFeatures, Graph.Features.FeatureSet, Graph.Features.PropertyFeatures, Graph.Features.VertexPropertyFeatures
  Enclosing class:
    Neo4jGraph.Neo4jGraphFeatures

      public class Neo4jGraph.Neo4jGraphFeatures.Neo4jVertexPropertyFeatures
      extends Object
      implements Graph.Features.VertexPropertyFeatures

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VertexPropertyFeatures

      `FEATURE_ANY_IDS, FEATURE_CUSTOM_IDS, FEATURE_NULL_PROPERTY_VALUES, FEATURE_NUMERIC_IDS, FEATURE_REMOVE_PROPERTY, FEATURE_STRING_IDS, FEATURE_USER_SUPPLIED_IDS, FEATURE_UUID_IDS`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.PropertyFeatures

      `FEATURE_PROPERTIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `FEATURE_BOOLEAN_ARRAY_VALUES, FEATURE_BOOLEAN_VALUES, FEATURE_BYTE_ARRAY_VALUES, FEATURE_BYTE_VALUES, FEATURE_DOUBLE_ARRAY_VALUES, FEATURE_DOUBLE_VALUES, FEATURE_FLOAT_ARRAY_VALUES, FEATURE_FLOAT_VALUES, FEATURE_INTEGER_ARRAY_VALUES, FEATURE_INTEGER_VALUES, FEATURE_LONG_ARRAY_VALUES, FEATURE_LONG_VALUES, FEATURE_MAP_VALUES, FEATURE_MIXED_LIST_VALUES, FEATURE_SERIALIZABLE_VALUES, FEATURE_STRING_ARRAY_VALUES, FEATURE_STRING_VALUES, FEATURE_UNIFORM_LIST_VALUES`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsAnyIds()` Determines if an `VertexProperty` any Java object is a suitable identifier.
    `boolean` | `supportsMapValues()` Supports setting of a `Map` value.
    `boolean` | `supportsMixedListValues()` Supports setting of a `List` value.
    `boolean` | `supportsNullPropertyValues()` Determines if meta-properties allow for `null` property values.
    `boolean` | `supportsSerializableValues()` Supports setting of a Java serializable value.
    `boolean` | `supportsUniformListValues()` Supports setting of a `List` value.
    `boolean` | `supportsUserSuppliedIds()` Determines if a `VertexProperty` allows an identifier to be assigned to it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VertexPropertyFeatures

      `supportsCustomIds, supportsNumericIds, supportsRemoveProperty, supportsStringIds, supportsUuidIds, willAllowId`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.PropertyFeatures

      `supportsProperties`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `supportsBooleanArrayValues, supportsBooleanValues, supportsByteArrayValues, supportsByteValues, supportsDoubleArrayValues, supportsDoubleValues, supportsFloatArrayValues, supportsFloatValues, supportsIntegerArrayValues, supportsIntegerValues, supportsLongArrayValues, supportsLongValues, supportsStringArrayValues, supportsStringValues`

- - ### Method Detail

    - #### supportsNullPropertyValues

          public boolean supportsNullPropertyValues()

      Description copied from interface: `Graph.Features.VertexPropertyFeatures`
      Determines if meta-properties allow for `null` property values.
      Specified by:
        `supportsNullPropertyValues` in interface `Graph.Features.VertexPropertyFeatures`

    - #### supportsMapValues

          public boolean supportsMapValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `Map` value. The assumption is that the `Map` can contain arbitrary serializable values that may or may not be defined as a feature itself.
      Specified by:
        `supportsMapValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsMixedListValues

          public boolean supportsMixedListValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "mixed" it does not need to contain objects of the same type.
      Specified by:
        `supportsMixedListValues` in interface `Graph.Features.DataTypeFeatures`
      See Also:
        `Graph.Features.DataTypeFeatures.supportsMixedListValues()`

    - #### supportsSerializableValues

          public boolean supportsSerializableValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a Java serializable value.
      Specified by:
        `supportsSerializableValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsUniformListValues

          public boolean supportsUniformListValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "uniform" it must contain objects of the same type.
      Specified by:
        `supportsUniformListValues` in interface `Graph.Features.DataTypeFeatures`
      See Also:
        `Graph.Features.DataTypeFeatures.supportsMixedListValues()`

    - #### supportsUserSuppliedIds

          public boolean supportsUserSuppliedIds()

      Description copied from interface: `Graph.Features.VertexPropertyFeatures`
      Determines if a `VertexProperty` allows an identifier to be assigned to it.
      Specified by:
        `supportsUserSuppliedIds` in interface `Graph.Features.VertexPropertyFeatures`

    - #### supportsAnyIds

          public boolean supportsAnyIds()

      Description copied from interface: `Graph.Features.VertexPropertyFeatures`
      Determines if an `VertexProperty` any Java object is a suitable identifier. Note that this setting can only return true if `Graph.Features.VertexPropertyFeatures.supportsUserSuppliedIds()` is true.
      Specified by:
        `supportsAnyIds` in interface `Graph.Features.VertexPropertyFeatures`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.